import { jsx } from "react/jsx-runtime";
import { Notches as Notches$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Notches = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Notches", ...props, children: /* @__PURE__ */ jsx(Notches$1, { weight: variant }) });
  }
);
Notches.displayName = "Notches";
Object.assign(Notches, { isGdsIcon: true });
export {
  Notches
};
